#3382 closed enhancement (fixed)

Testsuite Makefile merge to one per group of tests

Reported by: Chris Johns Owned by: Chris Johns
Priority: normal Milestone: 5.1
Component: build Version: 5
Severity: normal Keywords:
Cc: Blocked By:
Blocking:

Description

Merge the nested Makefile.am files into a single file per group of tests.

A single Makefile.am for all tests is not practical at this point in time because a test is an estimated 7 lines and with over 750 tests this means the file would be too big and a conflict hot spot.

Change History (16)

comment:1 Changed on Apr 9, 2018 at 10:36:29 PM by Chris Johns <chrisj@…>

In 18f77699/rtems:

testsuite: Autoconf test check support.

The autoconf function checks the state of a test for the BSP and
controls the building of the test.

This change is part of the testsuite Makefile.am reorganisation.

Update #3382

comment:2 Changed on Apr 9, 2018 at 10:36:39 PM by Chris Johns <chrisj@…>

In 32f2629b/rtems:

testsuite/benchmarks: Merged nested Makefile.am files into one Makefile.am

This change is part of the testsuite Makefile.am reorganization.

Update #3382

comment:3 Changed on Apr 9, 2018 at 10:36:49 PM by Chris Johns <chrisj@…>

In 5c65b98/rtems:

testsuite/libtests: Merged nested Makefile.am files into one Makefile.am

This change is part of the testsuite Makefile.am reorganization.

Update #3382

comment:4 Changed on Apr 9, 2018 at 10:37:00 PM by Chris Johns <chrisj@…>

In 8967e5f/rtems:

testsuite/fstests: Merged nested Makefile.am files into one Makefile.am

This change is part of the testsuite Makefile.am reorganization.

Update #3382

comment:5 Changed on Apr 9, 2018 at 10:37:12 PM by Chris Johns <chrisj@…>

In 3206879f/rtems:

testsuite/mptests: Merged nested Makefile.am files into one Makefile.am

This change is part of the testsuite Makefile.am reorganization.

Update #3382

comment:6 Changed on Apr 9, 2018 at 10:37:24 PM by Chris Johns <chrisj@…>

In 2a99a6a/rtems:

testsuite/psxtests: Merged nested Makefile.am files into one Makefile.am

This change is part of the testsuite Makefile.am reorganization.

Update #3382

comment:7 Changed on Apr 9, 2018 at 10:37:46 PM by Chris Johns <chrisj@…>

In dfc57eb/rtems:

testsuite/psxtmtests: Merged nested Makefile.am files into one Makefile.am

This change is part of the testsuite Makefile.am reorganization.

Update #3382

comment:8 Changed on Apr 9, 2018 at 10:38:07 PM by Chris Johns <chrisj@…>

In 590a5809/rtems:

testsuite/irhealstone: Merged nested Makefile.am files into one Makefile.am

This change is part of the testsuite Makefile.am reorganization.

Update #3382

comment:9 Changed on Apr 9, 2018 at 10:38:22 PM by Chris Johns <chrisj@…>

In d027e6bb/rtems:

testsuite/samples: Merged nested Makefile.am files into one Makefile.am

This change is part of the testsuite Makefile.am reorganization.

Update #3382

comment:10 Changed on Apr 9, 2018 at 10:38:39 PM by Chris Johns <chrisj@…>

In 8074fa0b/rtems:

testsuite/smptests: Merged nested Makefile.am files into one Makefile.am

This change is part of the testsuite Makefile.am reorganization.

Update #3382

comment:11 Changed on Apr 9, 2018 at 10:38:55 PM by Chris Johns <chrisj@…>

In bc06753/rtems:

testsuite/sptests: Merged nested Makefile.am files into one Makefile.am

This change is part of the testsuite Makefile.am reorganization.

Update #3382

comment:12 Changed on Apr 9, 2018 at 10:39:06 PM by Chris Johns <chrisj@…>

In cc14545e/rtems:

testsuite/tmtests: Merged nested Makefile.am files into one Makefile.am

This change is part of the testsuite Makefile.am reorganization.

Update #3382

comment:13 Changed on Apr 9, 2018 at 10:39:17 PM by Chris Johns <chrisj@…>

In ee3d7dcb/rtems:

testsuites: Remove the test check from the subdir support.

Leave the parallel support so each test group builds in parallel.

Update #3382

comment:14 Changed on Apr 9, 2018 at 10:39:28 PM by Chris Johns <chrisj@…>

In cb7b4dc4/rtems:

bsp/lpc24xx: Exclude iconv POSIX tests.

These are now built to executables and are too large for this BSP.

This change is part of the testsuite Makefile.am reorganization.

Update #3382

comment:15 Changed on Apr 10, 2018 at 10:39:13 AM by Sebastian Huber <sebastian.huber@…>

In 2eaea422/rtems:

sptests: Fix AM_CONDITIONAL

Update #3382.

comment:16 Changed on Oct 19, 2018 at 12:30:39 AM by Chris Johns

Resolution: fixed
Status: assignedclosed

This task is finished.

Note: See TracTickets for help on using tickets.